kr.co.hanwha.hifive.screen.main.setting

## Interface MainSettingContract.Presenter

- All Superinterfaces:
    BasePresenter
  All Known Implementing Classes:
    MainSettingPresenter
  Enclosing interface:
    MainSettingContract

      public static interface MainSettingContract.Presenter
      extends BasePresenter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doPasswordManagement()` 계정 비밀번호 변경
    `void` | `doSimplePasswordManagement()` 간편 비밀번호 초기화
    `void` | `doUnitManagement(int projectId)` 유닛 관리
    `void` | `doUpdate()` 업데이트
    `void` | `initData()` Initialize Data
    `void` | `setAlarmSetting(boolean isSelected)` 알림 설정

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BasePresenter

      `detachView, getContext`

- - ### Method Detail

    - #### initData

          void initData()

      Initialize Data

    - #### doPasswordManagement

          void doPasswordManagement()

      계정 비밀번호 변경

    - #### doSimplePasswordManagement

          void doSimplePasswordManagement()

      간편 비밀번호 초기화

    - #### doUnitManagement

          void doUnitManagement(@NonNull
                                int projectId)

      유닛 관리
      Parameters:
        `projectId` - 유닛 ID

    - #### setAlarmSetting

          void setAlarmSetting(boolean isSelected)

      알림 설정
      Parameters:
        `isSelected` - On / Off

    - #### doUpdate

          void doUpdate()

      업데이트